import { PayloadAction } from '@reduxjs/toolkit';
import { Plugin } from '@/types/models';

export type PluginsState = {
  pluginsId: string[];
  data: {
    [pluginId: string]: Plugin | undefined;
  };
};

export type RemovePluginPayload = { pluginId: string };
export type RemovePluginAction = PayloadAction<RemovePluginPayload>;
