import { DrawerHeading } from '@/shared/DrawerHeading';
import React from 'react';
import { LoadPluginInput } from './LoadPluginInput';
import { PluginsList } from './PluginsList';

export const PluginsDrawer = (): React.ReactNode => (
  <div data-testid="available-plugins-drawer" className="h-full max-h-full">
    <DrawerHeading title="Available plugins" />
    <div className="h-[calc(100%-93px)] max-h-[calc(100%-93px)] overflow-y-auto p-6">
      <LoadPluginInput />
      <PluginsList />
    </div>
  </div>
);
