import { z } from 'zod';

export const pluginSchema = z.object({
  hash: z.string(),
  name: z.string(),
  version: z.string(),
  isPublic: z.boolean(),
  isDefault: z.boolean(),
  urls: z.array(z.string()),
});
