import { BACKGROUND_INITIAL_STATE_MOCK } from '../backgrounds/background.mock';
import { BIOENTITY_INITIAL_STATE_MOCK } from '../bioEntity/bioEntity.mock';
import { CHEMICALS_INITIAL_STATE_MOCK } from '../chemicals/chemicals.mock';
import { CONFIGURATION_INITIAL_STATE } from '../configuration/configuration.adapter';
import { CONTEXT_MENU_INITIAL_STATE } from '../contextMenu/contextMenu.constants';
import { COOKIE_BANNER_INITIAL_STATE_MOCK } from '../cookieBanner/cookieBanner.mock';
import { initialStateFixture as drawerInitialStateMock } from '../drawer/drawerFixture';
import { DRUGS_INITIAL_STATE_MOCK } from '../drugs/drugs.mock';
import { LEGEND_INITIAL_STATE_MOCK } from '../legend/legend.mock';
import { initialMapStateFixture } from '../map/map.fixtures';
import { MODAL_INITIAL_STATE_MOCK } from '../modal/modal.mock';
import { MODELS_INITIAL_STATE_MOCK } from '../models/models.mock';
import { OVERLAY_BIO_ENTITY_INITIAL_STATE_MOCK } from '../overlayBioEntity/overlayBioEntity.mock';
import { OVERLAYS_INITIAL_STATE_MOCK } from '../overlays/overlays.mock';
import { PROJECT_STATE_INITIAL_MOCK } from '../project/project.mock';
import { REACTIONS_STATE_INITIAL_MOCK } from '../reactions/reactions.mock';
import { SEARCH_STATE_INITIAL_MOCK } from '../search/search.mock';
import { RootState } from '../store';
import { USER_INITIAL_STATE_MOCK } from '../user/user.mock';
import { STATISTICS_STATE_INITIAL_MOCK } from '../statistics/statistics.mock';
import { COMPARTMENT_PATHWAYS_INITIAL_STATE_MOCK } from '../compartmentPathways/compartmentPathways.mock';
import { EXPORT_INITIAL_STATE_MOCK } from '../export/export.mock';
import { PLUGINS_INITIAL_STATE_MOCK } from '../plugins/overlays.mock';

export const INITIAL_STORE_STATE_MOCK: RootState = {
  search: SEARCH_STATE_INITIAL_MOCK,
  project: PROJECT_STATE_INITIAL_MOCK,
  drugs: DRUGS_INITIAL_STATE_MOCK,
  chemicals: CHEMICALS_INITIAL_STATE_MOCK,
  models: MODELS_INITIAL_STATE_MOCK,
  bioEntity: BIOENTITY_INITIAL_STATE_MOCK,
  backgrounds: BACKGROUND_INITIAL_STATE_MOCK,
  drawer: drawerInitialStateMock,
  map: initialMapStateFixture,
  overlays: OVERLAYS_INITIAL_STATE_MOCK,
  reactions: REACTIONS_STATE_INITIAL_MOCK,
  configuration: CONFIGURATION_INITIAL_STATE,
  overlayBioEntity: OVERLAY_BIO_ENTITY_INITIAL_STATE_MOCK,
  modal: MODAL_INITIAL_STATE_MOCK,
  contextMenu: CONTEXT_MENU_INITIAL_STATE,
  cookieBanner: COOKIE_BANNER_INITIAL_STATE_MOCK,
  user: USER_INITIAL_STATE_MOCK,
  legend: LEGEND_INITIAL_STATE_MOCK,
  statistics: STATISTICS_STATE_INITIAL_MOCK,
  compartmentPathways: COMPARTMENT_PATHWAYS_INITIAL_STATE_MOCK,
  export: EXPORT_INITIAL_STATE_MOCK,
  plugins: PLUGINS_INITIAL_STATE_MOCK,
};
